Endpoint: !GetDetailedOrderStatus

https://secure.trust-provider.com/products/download/!GetDetailedOrderStatus

The GetDetailedOrderStatus API provides detailed information about a certificate order associated with your account. This includes, but is not limited to, the current information submitted for validation, the status of the order, and the status of various validation challenges that must be completed before the certificate can be issued.

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

The following table lists the required and optional parameters.

Parameter Type Requirement Max. Length Description

loginName

string

optional

64 chars

Your account username.

This value is case sensitive.

loginPassword

string

optional

128 chars

Your account password.

This value is case sensitive.

orderNumber

integer

required

The order number of the certificate.

queryType

integer

required

Specifies the level of detail in the response.

The possible values are:

  • 0 = status only

  • 1 = status and detailed information

  • 2 = same as 1, plus replacement order details (if any)

showValidityPeriod

char

optional

1 char

Indicates whether to include the certificate validity period.

The possible options are:

  • Y — yes

  • N — no

If omitted, defaults to N.

responseFormat

integer

optional

Specifies the response format.

The possible options are:

  • 1 = URL-encoded parameters

  • 2 = JSON

If omitted, defaults to 1.

Sample request

curl --location --request POST 'https://secure.trust-provider.com/products/!GetDetailedOrderStatus' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=yourLoginName' \
--data-urlencode 'loginPassword=yourPassword' \
--data-urlencode 'orderNumber=yourOrderNumber' \
--data-urlencode 'queryType=0'

Response

The MIME type will be application/x-www-form-urlencoded when the responseFormat request parameter is set to 1 (the default).

The MIME type will be application/json when the responseFormat request parameter is set to 2.

The following table displays the various parameters that can appear in the response.

Response parameters

The following table displays the various parameters that can appear in the response.

Parameter Presence Description

errorCode

present

A numeric code that identifies the type of error. For more details, see Error codes.

errorMessage

optional

Specifies the error message.

This parameter is not present when errorCode = 0.

X_orderNumber

optional

The order number.

X_orderDateTime

optional

The timestamp when this certificate was created.

X_orderStatus

optional

The string describing the current status of the order.

X_orderStatusReason

optional

The string explaining the reason for the status.

Only relevant for the rejected orders.

X_suggestedOrgDetails

optional

If auto organizational validation was requested for this order, this parameter will include status of such validation as well as details of matching organizations (if found).

The status parameter will be included.

The status parameter indicates status of auto organizational validation.

The possible values for the status parameter are:

  • Found — Match found.

  • NotFound — Match not found.

  • NotYetCompleted — The process is not completed yet.

  • NotApplicable — Organizational validation is not required or was already completed.

If the status=found, Sectigo will return the following details of the matching organizations:

  • X_organizationName — Company Name.

  • X_streetAddress — Street.

  • X_localityName — City.

  • X_stateOrProvinceName — State or Province.

  • X_postalCode — Postal/ZIP code.

  • X_countryName — Country 2-char code (ISO 3166-1 Alpha-2).

  • X_dunsNumber — DUNS number.

  • X_telephoneNumber — Phone number.

X_Y_serialNumber

optional

The SSL or Code Signing certificate serial number.

X_Y_objectType

optional

The certificate type.

X_Y_notBefore

optional

The timestamp at which the certificate became valid. It is expressed as a UNIX time value.

This parameter is only present when showValidityPeriod=Y.

X_Y_notAfter

optional

The timestamp at which the certificate will become invalid. It is expressed as a UNIX time value.

This parameter is only present when showValidityPeriod=Y.

X_Y_certificateDuration

optional

The certificate duration, in days.

This parameter is only present when showValidityPeriod=Y.

X_Y_productTermStartDate

optional

The timestamp at which the product term has started. It is expressed as a UNIX time value.

This parameter is only present when showValidityPeriod=Y.

X_Y_productTermEndDate

optional

The timestamp at which the product term will end. It is expressed as a UNIX time value.

This parameter is only present when showValidityPeriod=Y.

X_Y_productTermDuration

optional

The product duration, in days.

This parameter is only present when showValidityPeriod=Y.

X_Y_ovCallBackStatus

optional

The OV callBack status of the account.

Available if queryType = 1 or 2.

The possible values are:

  • -1 — Not required.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

X_Y_organizationValidationStatus

optional

The string describing the current status of account validation (OV).

Available if queryType = 1 or 2.

The possible values are:

  • -1 — Not required.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

X_Y_freeDVUPStatus

optional

The status of Free DV Upgrade.

Available if queryType = 1 or 2.

The possible values are:

  • -1 — Not required.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

X_Y_evClickThroughStatus

optional

The status of Click-Through Certificate Subscriber Agreement Acceptance.

Available if queryType = 1 or 2.

The possible values are:

  • -1 — Not required.

  • 0 — Not completed.

  • 1 — Completed.

X_Y_upsTrackingID

optional

The UPS tracking number for token-based (Sectigo-provisioned) certificates.

X_Y_shippingOrganizationName

optional

The shipping organization name for token-based (Sectigo-provisioned) certificates.

X_Y_shippingOrganizationalUnitName

optional

The shipping organizational unit name for token-based (Sectigo-provisioned) certificates.

X_Y_shippingStreetAddress1

optional

The shipping street address for token-based (Sectigo-provisioned) certificates.

X_Y_shippingStreetAddress2

optional

The second additional shipping street address for token-based (Sectigo-provisioned) certificates.

X_Y_shippingStreetAddress3

optional

The third additional shipping street address for token-based (Sectigo-provisioned) certificates.

X_Y_shippingLocalityName

optional

The shipping locality name for token-based (Sectigo-provisioned) certificates.

X_Y_shippingStateOrProvinceName

optional

The shipping state of province name for token-based (Sectigo-provisioned) certificates.

X_Y_shippingPostalCode

optional

The shipping postal code for token-based (Sectigo-provisioned) certificates.

X_Y_shippingCountry

optional

The shipping country for token-based (Sectigo-provisioned) certificates.

X_Y_shippingTitle

optional

The shipping title for token-based (Sectigo-provisioned) certificates.

X_Y_shippingForename

optional

The shipping first name for token-based (Sectigo-provisioned) certificates.

X_Y_shippingSurname

optional

The shipping last name for token-based (Sectigo-provisioned) certificates.

X_Y_shippingEmail

optional

The shipping email for token-based (Sectigo-provisioned) certificates.

X_Y_shippingPhone

optional

The shipping phone for token-based (Sectigo-provisioned) certificates.

X_Y_caaStatus

optional

The status of Certification Authority Authorization (CAA) Check.

Available if queryType = 1 or 2.

The possible values are:

  • -1 — Not required.

  • 0 — Not completed.

  • 1 — Completed.

  • 2 — In progress.

X_Y_licenceStatus

optional

The status of the licence.

The possible values are:

  • Processed.

  • Rejected.

X_Y_licenceSyncStatus

optional

The status of the license synchronization.

The possible statuses are:

  • Processed.

  • Awaiting Sync.

  • Sync Failed.

  • Sync Disabled.

  • Acc Deleted.

  • Acc Suspended.

X_Y_licenceRejectionSource

optional

The source of the licence rejection

Available if it has been carried out.

The possible values are:

  • API

  • Manual

X_Y_licenceStatusReason

optional

Sync the error description.

X_Y_qualysMerchantID

optional

The Qualys Merchant ID.

Applicable to HackerGuardian license account and products with additional HackerGuardian license.

X_Y_qualysLoginName

optional

The login name on Qualys Platform that scans vulnerabilities.

Applicable to HackerGuardian license account and products with additional HackerGuardian license.

X_Y_qualysCompanyName

optional

The name of organization HackerGuardian license is processed for at Qualys Platform.

X_Y_qualysAccountType

optional

The Qualys account type.

The possible values are:

  • C — Customer.

  • P — Prospect.

X_Y_qualysIPsPurchased

optional

The IP addresses purchased under HackerGuardian licence.

X_Y_qualysIPsAdded

optional

The additional IP addresses purchased under HackerGuardian licence.

X_Y_qualysCreationDate

optional

The date or time of HackerGuardian account creation.

Available if queryType = 1 or 2.

X_Y_qualysExpirationDate

optional

The date of HackerGuardian account expiration.

Available if queryType = 1 or 2.

X_Y_slId

optional

The SiteLock user ID.

X_Y_slSiteIds

optional

The SiteLock site ID.

Sample success response

errorCode=0&1_orderNumber=7250060&1_orderDateTime=2025-06-11+11%3A57&1_orderStatus=Pending&1_orderStatusReason=&1_1_serialNumber=&1_1_objectType=Verified+Mark+Certificate+%28VMC%29+%281+of+1+Domains%29&1_1_FQDN=test.com&1_1_certificateStatus=Awaiting+Validation